QGIS Application - Bug report #9980
Loading vector does not behave properly
2014-04-02 09:51 AM - Paolo Cavallini

Status: Closed

Priority: High

Assignee:

Category: GRASS

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 18474
Description

If 1 add a vector from GRASS plugin>Toolbox>Browser, with double click or right click -> add to map, | get individual topolayers
(1_polygon, topo_point, topo_line, topo_node).

In some installation it even crashes QGIS.

Probably the same issue: from QGIS browser, | get a double entry for grass locations (one as a folder, one as grass layers). The first does
not show data, the second does not allow the loading of the whole layer, but only of individual topolayers.

Has something changed in GRASS vectors? | do not think there are changes in the plugin.

History

#1 - 2014-04-02 09:53 AM - Paolo Cavallini

When loaded at the end of an analysis, with "Show results", the behaviour is correct.

#2 - 2014-10-26 09:58 AM - Juirgen Fischer

- Subject changed from GRASS plugin: loading vector does not behave properly to Loading vector does not behave properly

#3 - 2016-02-15 12:07 AM - Radim Blazek

- Resolution set to invalid

- Status changed from Open to Closed

QGIS cannot display 'whole' GRASS vector (e.g. lines + points, different tables) in one layer, it can only display one type+table combination in one QGIS

layer.

Most probably, in the version you are referring to, there were added virtual topological layers which are confusing you. From QGIS 2.12, the topological

layers (which may be useful for debugging or topology demo) are switched off by default and may be enabled in GRASS Options > Browser > Layers >
Show virtual topological layers.
